# Created by pyp2rpm-3.3.3
%global pypi_name flask-login

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        %mkrel 2
Summary:        User session management for Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxcountryman/flask-login
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Login-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Flask-Login provides user session management for Flask. It handles the common
tasks of logging in, logging out, and remembering your users' sessions over
extended periods of time.

Flask-Login is not bound to any particular database system or permissions
model. The only requirement is that your user objects implement a few methods,
and that you provide a callback to the extension capable of loading users from
their ID.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flask)

%description -n python3-%{pypi_name}
Flask-Login provides user session management for Flask. It handles the common
tasks of logging in, logging out, and remembering your users' sessions over
extended periods of time.

Flask-Login is not bound to any particular database system or permissions
model. The only requirement is that your user objects implement a few methods,
and that you provide a callback to the extension capable of loading users from
their ID.

%prep
%autosetup -n Flask-Login-%{version}

# Remove bundled egg-info
rm -rf Flask_Login.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/flask_login/
%{python3_sitelib}/Flask_Login-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.4.1-2.mga8
+ Revision: 1538948
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 0.4.1-1.mga8
+ Revision: 1463374
- imported package python-flask-login

